{
  name: "Planar Collapse",
  rating: 3,
  num: -1018,
  flags: {},

  onSwitchIn(pokemon) {
    if (this.turn === 0) return;

    const isGravity = this.field.getPseudoWeather("gravity");

    if (!isGravity) {
      this.field.addPseudoWeather("gravity");
      this.add("-ability", pokemon, "Planar Collapse");
      this.add("-fieldstart", "move: Gravity");
      this.add("-message", `${pokemon.name} caused gravity to intensify!`);
    }
  }
}
